{% extends 'base.html' %}

{% block title %}
Recipe suggestions
{% endblock title %}

{% block content %}
<main>
  <div>
    <div>
      <h2>Leftover {{ ingredient }}?</h2>
      <br>
      <h2>Try these recipes</h2>
      <br>
      <br>
      <h3>{{ ingredient }} as the main ingredient</h3>
      <br>
      {% if match_recipes|length > 0 %}
      {% for recipe in match_recipes %}
      <p><a href="{% url 'recipe_detail' recipe.id %}">{{ recipe.name }}</a></p>
      {% endfor %}
      {% else %}
      <p>You don't have any recipes with {{ ingredient }} as the main ingredient.</p>
      {% endif %}
    </div>
    <br>
    <div>
      <h3>{{ ingredient }} as a secondary ingredient</h3>
      <br>
      {% if sub_recipes|length > 0 %}
      {% for recipe in sub_recipes %}
      <p><a href="{% url 'recipe_detail' recipe.id %}" style="text-decoration: none;">{{ recipe.name }}</a></p>
      {% endfor %}
      {% else %}
      <p>You don't have any recipes with {{ ingredient }} as a secondary ingredient.</p>
      {% endif %}
      <br>
      <div class="new-button" onclick="window.location.href='{% url 'pantry_delete_confirmation' ingredient.id %}';">Delete this item?</div>
    </div>
  </div>
</main>
{% endblock content %}
